GpgFrontend::GpgSubKey Class Reference
Collaboration diagram for GpgFrontend::GpgSubKey:

## Public Member Functions

std::string | GetID () const
std::string | GetFingerprint () const
std::string | GetPubkeyAlgo () const
unsigned int | GetKeyLength () const
bool | IsHasEncryptionCapability () const
bool | IsHasSigningCapability () const
bool | IsHasCertificationCapability () const
bool | IsHasAuthenticationCapability () const
bool | IsPrivateKey () const
bool | IsExpired () const
bool | IsRevoked () const
bool | IsDisabled () const
bool | IsSecretKey () const
bool | IsCardKey () const
boost::posix_time::ptime | GetCreateTime () const
boost::posix_time::ptime | GetExpireTime () const
| GpgSubKey ()
| Construct a new Gpg Sub Key object. More...
| GpgSubKey (gpgme_subkey_t subkey)
| Construct a new Gpg Sub Key object. More...
| GpgSubKey (GpgSubKey &&o) noexcept
| Construct a new Gpg Sub Key object. More...
| GpgSubKey (const GpgSubKey &)=delete
| Construct a new Gpg Sub Key object. More...
GpgSubKey & | operator= (GpgSubKey &&o) noexcept
GpgSubKey & | operator= (const GpgSubKey &)=delete
bool | operator== (const GpgSubKey &o) const

## Private Types

using | SubkeyRefHandler = std::unique_ptr< struct _gpgme_subkey, std::function< void(gpgme_subkey_t)> >

## Private Attributes

SubkeyRefHandler | _subkey_ref = nullptr

## Constructor & Destructor Documentation

## GpgSubKey() [1/4]

GpgFrontend::GpgSubKey::GpgSubKey | ( |  | ) |

default

Construct a new Gpg Sub Key object.

Copyright (C) 2021 Saturneric

This file is part of GpgFrontend.

GpgFrontend is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

GpgFrontend is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with GpgFrontend. If not, see https://www.gnu.org/licenses/.

The initial version of the source code is inherited from the gpg4usb project, which is under GPL-3.0-or-later.

All the source code of GpgFrontend was modified and released by Saturnericeric@.nosp@m.bktu.nosp@m.s.com starting on May 12, 2021.

SPDX-License-Identifier: GPL-3.0-or-later

## GpgSubKey() [2/4]

GpgFrontend::GpgSubKey::GpgSubKey | ( | gpgme_subkey_t | subkey | ) |

explicit

Construct a new Gpg Sub Key object.

Parameters

  subkey |

## GpgSubKey() [3/4]

GpgFrontend::GpgSubKey::GpgSubKey | ( | GpgSubKey && | o | ) |

noexcept

Construct a new Gpg Sub Key object.

Parameters

  o |

## GpgSubKey() [4/4]

GpgFrontend::GpgSubKey::GpgSubKey | ( | const GpgSubKey & |  | ) |

delete

Construct a new Gpg Sub Key object.

## Member Function Documentation

## GetCreateTime()

boost::posix_time::ptime GpgFrontend::GpgSubKey::GetCreateTime | ( |  | ) | const

Returns
  boost::posix_time::ptime

## GetExpireTime()

boost::posix_time::ptime GpgFrontend::GpgSubKey::GetExpireTime | ( |  | ) | const

Returns
  boost::posix_time::ptime

## GetFingerprint()

std::string GpgFrontend::GpgSubKey::GetFingerprint | ( |  | ) | const

Returns
  std::string

Referenced by operator==().

## GetID()

std::string GpgFrontend::GpgSubKey::GetID | ( |  | ) | const

Returns
  std::string

## GetKeyLength()

unsigned int GpgFrontend::GpgSubKey::GetKeyLength | ( |  | ) | const

Returns
  unsigned int

## GetPubkeyAlgo()

std::string GpgFrontend::GpgSubKey::GetPubkeyAlgo | ( |  | ) | const

Returns
  std::string

## IsCardKey()

bool GpgFrontend::GpgSubKey::IsCardKey | ( |  | ) | const

Returns
  true
  false

## IsDisabled()

bool GpgFrontend::GpgSubKey::IsDisabled | ( |  | ) | const

Returns
  true
  false

## IsExpired()

bool GpgFrontend::GpgSubKey::IsExpired | ( |  | ) | const

Returns
  true
  false

## IsHasAuthenticationCapability()

bool GpgFrontend::GpgSubKey::IsHasAuthenticationCapability | ( |  | ) | const

Returns
  true
  false

## IsHasCertificationCapability()

bool GpgFrontend::GpgSubKey::IsHasCertificationCapability | ( |  | ) | const

Returns
  true
  false

## IsHasEncryptionCapability()

bool GpgFrontend::GpgSubKey::IsHasEncryptionCapability | ( |  | ) | const

Returns
  true
  false

## IsHasSigningCapability()

bool GpgFrontend::GpgSubKey::IsHasSigningCapability | ( |  | ) | const

Returns
  true
  false

## IsPrivateKey()

bool GpgFrontend::GpgSubKey::IsPrivateKey | ( |  | ) | const

Returns
  true
  false

## IsRevoked()

bool GpgFrontend::GpgSubKey::IsRevoked | ( |  | ) | const

Returns
  true
  false

## IsSecretKey()

bool GpgFrontend::GpgSubKey::IsSecretKey | ( |  | ) | const

Returns
  true
  false

## operator=() [1/2]

GpgSubKey& GpgFrontend::GpgSubKey::operator= | ( | const GpgSubKey & |  | ) |

delete

Returns
  GpgSubKey&

## operator=() [2/2]

GpgFrontend::GpgSubKey & GpgFrontend::GpgSubKey::operator= | ( | GpgSubKey && | o | ) |

noexcept

Parameters

  o |

Returns
  GpgSubKey&

## operator==()

bool GpgFrontend::GpgSubKey::operator== | ( | const GpgSubKey & | o | ) | const

Parameters

  o |

Returns
  true
  false

References GetFingerprint().

The documentation for this class was generated from the following files:

- src/core/model/GpgSubKey.h
- src/core/model/GpgSubKey.cpp